{% load i18n %}
<form action="{% url 'set_language' %}" method="post">
    {% csrf_token %}
    <input name="next" type="hidden" value="."/>
    {% get_current_language as LANGUAGE_CODE %}
    {% get_available_languages as LANGUAGES %}
    <div class="dropdown show">
        <a class="btn btn-secondary btn-sm dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown"
           aria-haspopup="true" aria-expanded="false">
            {% trans "Change Language" %}
        </a>
        <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
            {% for lang in LANGUAGES %}
                {% if lang.0 != LANGUAGE_CODE %}
                    <button class="dropdown-item" name="language" value="{{ lang.0 }}">{{ lang.1 }}</button>
                {% else %}
                    <button class="dropdown-item" disabled="disabled" value="{{ lang.0 }}">{{ lang.1 }}</button>
                {% endif %}
            {% endfor %}
        </div>
    </div>
</form>
